POST/projects/api/v3/custom-exchange-rates.json

Create a new custom exchange rate

Create a custom exchange rate for a specific currency pair and validity period.

Query Params

  • Name
    fireWebhook
    Type
    boolean
    Description

    when set to false, suppresses the entity-update webhook for this request

    Default
    true

Body Params

CreateRequest represents the request payload for creating a custom exchange rate.

    • Name
      fromCurrency
      Type
      string
    • Name
      notes
      Type
      string
    • Name
      options
      Type
      object
      Description
      Options has options for events related to requests.
    • Name
      rate
      Type
      number
    • Name
      toCurrency
      Type
      string
    • Name
      validFrom
      Type
      string
      Description
      Date format (2006-01-02)
    • Name
      validTo
      Type
      string
      Description
      Optional date format

    Responses

    • Code
      201
      Type
      object
      Schema
      Description
      201 Created
      CustomExchangeRateResponse represents a single custom exchange rate response.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      409
      Type
      object
      Schema
      Description
      409 Conflict
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      422
      Type
      object
      Schema
      Description
      422 Unprocessable Entity
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    201 Created

    CustomExchangeRateResponse
    {
      "customExchangeRate": {
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "fromCurrency": "string",
        "id": 0,
        "notes": "string",
        "rate": 0,
        "toCurrency": "string",
        "updatedAt": "string",
        "updatedBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "validFrom": "2026-06-10",
        "validTo": "2026-06-10"
      }
    }